Subject: Re: [dtn] [EXTERNAL] draft-ietf-dtn-bpbis-14.txt: IANA Considerations section

From: Magnus Westerlund <[email-masked]>
Date: Thu, 12 Sep 2019 12:03:41 +0000

Hi,

Marc it is very fine to disagree with me. Also I would like to quote a
very specific part of my IANA comment:

> Thus, I have to ask are you actually addressing the right
> registry,
or is the issue that you actually need per version specific
> registries
for example Bundle Block Types?

I think Scott's comment below indicate that it is not obvious that a
common registry for BP6 and BP7 is working without issues. So make up
your mind in the WG considering the information you have so far and
lets go with that. 

I have been part of efforts where people have gone both ways with how
to handle different versions and registries. 

Cheers

MAgnus

On Tue, 2019-08-06 at 15:33 +0000, Burleigh, Scott C (US 312B) wrote:
> Marc, I have no opinion at all as to where these registry definitions
> should reside, but one note of clarification: the only registries for
> which the new Section 10 text requests creation are new registries
> that are different enough from the existing registries to conflict
> with the original definitions (some registry entries are explicitly
> reserved rather than defined, bit positions are different, etc.).  In
> a couple of cases it’s noted that the registries already exist; there
> we’re just transcribing the definitions of those registries and
> adding some new entries.
>  
> Scott
>  
> From: dtn <[email-masked]> On Behalf Of Marc Blanchet
> Sent: Tuesday, August 6, 2019 6:13 AM
> To: [email-masked]
> Cc: Magnus Westerlund <[email-masked]>
> Subject: [EXTERNAL] [dtn] draft-ietf-dtn-bpbis-14.txt: IANA
> Considerations section
>  
> Hello,
> I respectfully disagree with our AD on his suggestion for the IANA
> considerations section on BPBIS.
>  Before (-13), the IANA Considerations section was adding a few
> codepoints to a registry and defining another registry. typical.
> Straightforward.
>  The current IANA registries for DTN have been defined by RFC6255,
> RFC6257, RFC6258, RFC7116 and RFC7242. They represent multiple
> specifications, and real use in the field.
>  My understanding of AD suggestion was to import text from RFC6255
> into BPbis, obsolete RFC6255 and then essentially asking to
> « recreate » some of the IANA registries.
> I don’t see any value in this suggestion. On the contrary, I see
> confusion. IANA registries are typically created, populated, changed
> by a sequence of RFCs. The fact that in this case, the initial set of
> RFCs were from an RG and there were from an experimental protocol to
> me does not mean they have less value or change anything. 6255 is
> informational. The registries were created, were used and we continue
> using them in the next version of the protocol, with one where we add
> a few codepoints.
> Therefore, (I’m sorry Scott), but I would suggest that we revert the
> IANA Considerations section to the previous version.
> (As our AD said he is now in vacation for some weeks, I expect his
> reply somewhat later this month).
> Marc.
> On 4 Aug 2019, at 15:59, [email-masked] wrote:
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the Delay/Disruption Tolerant
> > Networking WG of the IETF.
> > 
> > Title : Bundle Protocol Version 7
> > Authors : Scott Burleigh
> > Kevin Fall
> > Edward J. Birrane
> > Filename : draft-ietf-dtn-bpbis-14.txt
> > Pages : 61
> > Date : 2019-08-04
> > 
> > Abstract:
> > This Internet Draft presents a specification for Bundle Protocol,
> > adapted from the experimental Bundle Protocol specification
> > developed by the Delay-Tolerant Networking Research group of the
> > Internet Research Task Force and documented in RFC 5050.
> > 
> > It obsoletes RFC 5050 and RFC 6255.
> > 
> > 
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-dtn-bpbis/
> > 
> > There are also htmlized versions available at:
> > https://tools.ietf.org/html/draft-ietf-dtn-bpbis-14
> > https://datatracker.ietf.org/doc/html/draft-ietf-dtn-bpbis-14
> > 
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-dtn-bpbis-14
> > 
> > 
> > Please note that it may take a couple of minutes from the time of
> > submission
> > until the htmlized version and diff are available at
> > tools.ietf.org.
> > 
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> > 
> > _______________________________________________
> > dtn mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/dtn
-- 
Cheers

Magnus Westerlund 

----------------------------------------------------------------------
Network Architecture & Protocols, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------